class Intervall {

	private boolean isEmpty;
	private double untergrenze;
	private double obergrenze;

	public Intervall() {
		this.isEmpty = true;
		this.untergrenze = 0;
		this.obergrenze = 0;
	}

	public Intervall(double von, double nach) {
		this.untergrenze = von;
		this.obergrenze = nach;
		if (von > nach) {
			this.isEmpty = true;
		} else {
			this.isEmpty = false;
		}
	}

	public Intervall(Intervall i) {
		this.isEmpty = i.isEmpty;
		this.untergrenze = i.untergrenze;
		this.obergrenze = i.obergrenze;
	}

	public Intervall clone() {
		return new Intervall(this);
	}

	public boolean equals(Intervall i) {
		if (this.isEmpty) {
			return i.isEmpty;
		} else {
			return this.untergrenze == i.untergrenze
					&& this.obergrenze == i.obergrenze;
		}
	}

	public String toString() {
		if (this.isEmpty) {
			return "[]";
		} else {
			return "[" + this.untergrenze + "," + this.obergrenze + "]";
		}
	}

	public boolean enthaelt(Intervall i) {
		if (i.isEmpty) {
			return true;
		}
		if (this.isEmpty) {
			return false;
		}
		return this.untergrenze <= i.untergrenze
				&& i.obergrenze <= this.obergrenze;
	}

	public static Intervall schnittmenge(Intervall i1, Intervall i2) {
		if (i1.isEmpty || i2.isEmpty) {
			return new Intervall();
		} else {
			return new Intervall(Math.max(i1.untergrenze, i2.untergrenze),
					Math.min(i1.obergrenze, i2.obergrenze));
		}
	}
}

public class UE15Aufgabe15 {
	public static void main(String[] args) {

	}

}
